Returns the specified resource's memory usage

- « Imagick::getReleaseDate

- Imagick::getResourceLimit »

- PHP Manual
- Imagick
- Returns the specified resource's memory usage

# Imagick::getResource

(PECL imagick 2, PECL imagick 3)

Imagick::getResource — Returns the specified resource's memory usage

### Description

public static Imagick::getResource(int `$type`): int

Returns the specified resource's memory usage in megabytes.

### Parameters

`type`

  Refer to the list of resourcetype constants.

### Return Values

Returns the specified resource's memory usage in megabytes.

### Errors/Exceptions

Throws ImagickException on error.